de.esprit.appsuite.database.dbase

## Class DBConnectionMap

- java.lang.Object
- - de.esprit.appsuite.database.dbase.DBConnectionMap

-     public class DBConnectionMap
      extends java.lang.Object

  This map stores database connections and manages their access count based on the accessing thread. If a thread fetched a connection two times it needs to close the connection two times as well in order to really release it to the pool.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBConnectionMap(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `DBPoolConnection` | `fetchAndCount()`
    `DBPoolConnection` | `get()`
    `DBPoolConnection[]` | `getCurrentConnections()`
    `int` | `getFetchCount()`
    `java.lang.String` | `getName()`
    `boolean` | `hasConnection()`
    `boolean` | `isEmpty()`
    `void` | `put(DBPoolConnection dbConn)`
    `DBPoolConnection` | `remove()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBConnectionMap

          public DBConnectionMap(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### put

          public void put(DBPoolConnection dbConn)

    - #### clear

          public void clear()

    - #### isEmpty

          public boolean isEmpty()

    - #### size

          public int size()

    - #### getCurrentConnections

          public DBPoolConnection[] getCurrentConnections()

    - #### fetchAndCount

          public DBPoolConnection fetchAndCount()

    - #### hasConnection

          public boolean hasConnection()

    - #### get

          public DBPoolConnection get()

    - #### remove

          public DBPoolConnection remove()

    - #### getFetchCount

          public int getFetchCount()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.